nn.pp.rccore

## Interface TerminalBlockListener

- All Known Implementing Classes:
    RCAdapter

      public interface TerminalBlockListener

  Description of the Terminal Block feature and status of the current KVM Port
  See Also:
    `RCCore.addTerminalBlockListener(TerminalBlockListener)`, `RCCore.removeTerminalBlockListener(TerminalBlockListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `terminalBlockConfigChanged(ITerminalBlockConfig config)` The Terminal Block configuration has changed
    `void` | `terminalBlockInputSettingsChanged(ITerminalBlockInputSettings settings)` The Terminal Block input settings or state for the port have changed
    `void` | `terminalBlockPulseSupportedChanged(boolean supported)` The support for the Terminal Block Pulse feature has changed
    `void` | `terminalBlockSupportedChanged(boolean supported)` The support for the Terminal Block feature has changed

- - ### Method Detail

    - #### terminalBlockSupportedChanged

          void terminalBlockSupportedChanged(boolean supported)

      The support for the Terminal Block feature has changed
      Parameters:
        `supported` - true if Terminal Block feature is supported, false otherwise.
      See Also:
        `RCCore.isTerminalBlockSupportEnabled()`

    - #### terminalBlockPulseSupportedChanged

          void terminalBlockPulseSupportedChanged(boolean supported)

      The support for the Terminal Block Pulse feature has changed
      Parameters:
        `supported` - true if Terminal Block Pulse feature is supported, false otherwise.
      See Also:
        `RCCore.isTerminalBlockPulseSupportEnabled()`

    - #### terminalBlockConfigChanged

          void terminalBlockConfigChanged(ITerminalBlockConfig config)

      The Terminal Block configuration has changed
      Parameters:
        `config` - the new Terminal Block configuration for the port
      See Also:
        `RCCore.getTerminalBlockConfig()`

    - #### terminalBlockInputSettingsChanged

          void terminalBlockInputSettingsChanged(ITerminalBlockInputSettings settings)

      The Terminal Block input settings or state for the port have changed
      Parameters:
        `settings` - The new Terminal Block input settings for the port
      See Also:
        `RCCore.getTerminalBlockInputSettings()`

Copyright © 2025 Raritan Inc. All Rights Reserved.